<?php

if (!defined('ROSTER_INSTALLED')) {
	exit('Detected invalid access to this file!');
}

//Configuration
$addon_conf['ArmorySync']['Host'] = "eu.wowarmory.com"; //Americans use "www.wowarmory.com", European players use: "eu.wowarmory.com"
$addon_conf['ArmorySync']['MinLevel'] = 10; //The minimum level to be updated
$addon_conf['ArmorySync']['SynchCutoffTime'] = 60; //Time, in minutes.  All players who have not updated in the last (24) hours will be updated.
$addon_conf['ArmorySync']['UseCurl'] = false; //Set this to false if you want to use the original FileSocket function.
$addon_conf['ArmorySync']['DebugLevel'] = 0; //0 = no debug messages, 1 = some debug messages, 2 = verbose debug messages
$addon_conf['ArmorySync']['UpdateRoster'] = true; //Wether or not to update Roster.  Useful if you're just debugging.
$addon_conf['ArmorySync']['Locale'] = $roster_conf['roster_lang']; //The language used, but default it is the language that roster is configured to.
$addon_conf['ArmorySync']['ArmoryLocale'] = strtolower(substr($addon_conf['ArmorySync']['Locale'], 0, 2)) . "_" . strtolower(substr($addon_conf['ArmorySync']['Locale'], 2, 2)); //The Locale that armory is expecting, in the format of lowercase_lowercase (ie en_us or de_de).
$addon_conf['ArmorySync']['MemberSorting'] = "members.last_online DESC"; //alternatives are "members.update_time DESC" to use the last time the member was updated
//$addon_conf['ArmorySync']['ServerMonth'] = array("January","February","March","April","May","June","July","August","September","October","November","December"); //just a list of the month names for the server.  Change this to whatever language necessary.
$addon_conf['ArmorySync']['ServerMonth'] = array("Januar","Februar","Mrz","April","Mai","Juni","Juli","August","September","Oktober","November","Dezember"); //just a list of the month names for the server.  Change this to whatever language necessary.
$addon_conf['ArmorySync']['DateUpdatedFormat'] = "%m/%d/%y %H:%i:%s"; //Don't touch this!!! As i can see the time format is always set as it is set here
$addon_conf['ArmorySync']['IsWoWRosterDF'] = 0; //DragonFly Users with WoWRosterDF want this to be 1
$addon_conf['ArmorySync']['IsMySQLLower411'] = 0; //Users of MySQL Version lower than 4.1.1 want thi sto be 1
?>
