<?php
require_once($addonDir."functions.synch.php");
require_once($addonDir."config.php");
require_once(ROSTER_LIB.'login.php');

	$roster_login = new RosterLogin($script_filename);
	if(!$roster_login->getAuthorized()) {
		Print 'Please logon as admin to run this addon';
		return;
	}

if (!defined('ROSTER_INSTALLED')) {
	exit('Detected invalid access to this file!');
}

if (isset($_REQUEST['syncmemberid'])) {
//	Print 'Entered!';
	//Synch single player then call to do next one
	if ($_REQUEST['syncmemberid'] == ''){
		Print 'Update Completed!';
	}
	else {
		//Print 'Calling synchMemberByID with params: '. $_REQUEST['syncmemberid'] . '<br>';
		if ($addon_conf['ArmorySync']['DebugLevel'] >= 1) {
			print 'About to start ID:' . $_REQUEST['syncmemberid']. ' Step: '. $_REQUEST['step']. ' Total: '. $_REQUEST['total']."<br>";
		}	
		synchMemberByID(null, $_REQUEST['syncmemberid'], $_REQUEST['step'], $_REQUEST['total']);
	}
} else {
	//Require Password Authentication
	$roster_login = new RosterLogin($script_filename);
	if(!$roster_login->getAuthorized()) {
		print $roster_login->getMessage() . $roster_login->getLoginForm();

		return;
	}

	//Get total players to sync ...
	$query =
		"SELECT COUNT(members.member_id)  totalleft " .
		"FROM `".ROSTER_MEMBERSTABLE."` members ". 
		"LEFT JOIN `".ROSTER_PLAYERSTABLE."` players " .
		"ON members.name = players.name " .
		"WHERE members.level >= " . $addon_conf['ArmorySync']['MinLevel'] . " " .
		"AND ( ISNULL(players.name) ";
	if ( $addon_conf['ArmorySync']['IsMySQLLower411'] ) {

		$query .= "OR CONCAT(  '200', MID( players.dateupdatedutc, 8, 1  ) ,  '-', MID( players.dateupdatedutc, 1, 2  ) ,  '-', MID( players.dateupdatedutc, 4, 2  ) ,  ' ', MID( players.dateupdatedutc, 10, 8  )  )  <= DATE_SUB(NOW(), INTERVAL " . $addon_conf['ArmorySync']['SynchCutoffTime'] . " MINUTE) ) ";
	} else {

	$query .= "OR STR_TO_DATE(players.dateupdatedutc,'". $addon_conf['ArmorySync']['DateUpdatedFormat'] ."') <= DATE_SUB(UTC_TIMESTAMP(), INTERVAL " . $addon_conf['ArmorySync']['SynchCutoffTime'] . " MINUTE))";
		$wowdb->query("set sql_mode = ''");
	}

	$result = $wowdb->query($query)
		or die_quietly($wowdb->error(), 'Database Error', basename(__FILE__), __LINE__, $query);

	$total = -1;
	while ($row = $wowdb->fetch_assoc($result)) {
		$total= $row["totalleft"];
	}

		
	// Get next player to sync ...
		
	$query =
		"SELECT min(members.member_id) ID " .
		"FROM `".ROSTER_MEMBERSTABLE."` members ".
		"LEFT JOIN `".ROSTER_PLAYERSTABLE."` players " .
		"ON members.name = players.name " .
		"WHERE members.level >= " . $addon_conf['ArmorySync']['MinLevel'] . " " .
		"AND ( ISNULL(players.name) ";
	if ( $addon_conf['ArmorySync']['IsMySQLLower411'] ) {
		$query .= "OR CONCAT(  '200', MID( players.dateupdatedutc, 8, 1  ) ,  '-', MID( players.dateupdatedutc, 1, 2  ) ,  '-', MID( players.dateupdatedutc, 4, 2  ) ,  ' ', MID( players.dateupdatedutc, 10, 8  )  )  <= DATE_SUB(NOW(), INTERVAL " . $addon_conf['ArmorySync']['SynchCutoffTime'] . " MINUTE) ) ";
	} else {
		$query .= "OR STR_TO_DATE(players.dateupdatedutc,'". $addon_conf['ArmorySync']['DateUpdatedFormat'] ."') <= DATE_SUB(UTC_TIMESTAMP(), INTERVAL " . $addon_conf['ArmorySync']['SynchCutoffTime'] . " MINUTE))";
		$wowdb->query("set sql_mode = ''");
	}


	$result = $wowdb->query($query)
		or die_quietly($wowdb->error(), 'Database Error', basename(__FILE__), __LINE__, $query);

	$memberid = -1;
	while ($row = $wowdb->fetch_assoc($result)) {
		$memberid = $row["ID"];
	}

	if ($memberid == -1){
		print 'Failed to get any members to process';
	}
	else {
		//Ok output first processing
		if ($addon_conf['ArmorySync']['DebugLevel'] >= 1) {
			print 'About to start ID:' . $memberid. ' Step: 1 Total: '. $total."<br>";
		}
		synchMemberByID(null, $memberid, 1, $total);
	}
}
?>